tigase.jaxmpp.core.client.xmpp.modules.filetransfer

## Class FileTransfer

- java.lang.Object
- - tigase.jaxmpp.core.client.DataHolder
  - - tigase.jaxmpp.core.client.xmpp.modules.connection.ConnectionSession
    - - tigase.jaxmpp.core.client.xmpp.modules.filetransfer.FileTransfer

- Direct Known Subclasses:
    FileTransfer

      public class FileTransfer
      extends ConnectionSession

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `FileTransfer(SessionObject sessionObject, JID peer, String sid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFileMimeType()`
    `Date` | `getFileModification()`
    `String` | `getFilename()`
    `long` | `getFileSize()`
    `Double` | `getProgress()`
    `long` | `getTransferredBytes()`
    `protected void` | `setFileInfo(String filename, long fileSize, Date lastModified, String mimeType)`
    `void` | `setFileMimeType(String mimeType)`
    `String` | `toString()`
    `protected void` | `transferredBytes(long count)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.connection.ConnectionSession

      `getPeer, getSessionObject, getSid, isIncoming, setIncoming`

    - ### Methods inherited from class tigase.jaxmpp.core.client.DataHolder

      `getData, removeData, setData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FileTransfer

          protected FileTransfer(SessionObject sessionObject,
                                 JID peer,
                                 String sid)

  - ### Method Detail

    - #### getFileMimeType

          public String getFileMimeType()

    - #### getFileModification

          public Date getFileModification()

    - #### getFilename

          public String getFilename()

    - #### getFileSize

          public long getFileSize()

    - #### getProgress

          public Double getProgress()

    - #### getTransferredBytes

          public long getTransferredBytes()

    - #### setFileInfo

          protected void setFileInfo(String filename,
                                     long fileSize,
                                     Date lastModified,
                                     String mimeType)

    - #### setFileMimeType

          public void setFileMimeType(String mimeType)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### transferredBytes

          protected void transferredBytes(long count)

Copyright © 2006–2016 Tigase. All rights reserved.